---
repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.3.0
    hooks:
      - id: check-yaml
      - id: end-of-file-fixer
        exclude: 'files/patch-*'
      - id: trailing-whitespace
        exclude: 'files/patch-*'
      - id: check-added-large-files
      - id: check-json
      - id: detect-private-key
      - id: check-case-conflict
      - id: double-quote-string-fixer
      - id: requirements-txt-fixer
  - repo: https://github.com/ansible-community/ansible-lint.git
    rev: v6.5.2
    hooks:
      - id: ansible-lint
        files: \.(yaml|yml)$
  - repo: https://github.com/codespell-project/codespell
    rev: v2.2.1
    hooks:
      - id: codespell
        args: [-I, .codespellignore]
#  - repo: git@github.com:Yelp/detect-secrets
#    rev: v1.1.0
#    hooks:
#      - id: detect-secrets
#        args: ['--baseline', '.secrets.baseline']
#        exclude: .*/tests/.*
